Synchronously calculates quote pricing and details based on the provided configuration without creating a persistent quote object in DealHub. Ideal for real-time price calculations.
Use this endpoint to calculate real-time pricing and quote details without creating a permanent record in DealHub. You have to inform the product and configuration data to receive the calculated line items and a financial summary.
To run a simulation, your request must include a version_id to specify which pricing and product rules to use. You also need to provide one of the following options:
external_opportunity_id: Use this to base the simulation on an existing opportunity in your CRM.geo_codeandcurrency: Use this combination for simulations that do not depend on specific CRM data.
Required dataYou must provide either the
external_opportunity_idor both thegeo_codeandcurrencyparameters. Providing both in the same request will result in an error.
quote_datais requiredThe
quote_datafield is required and must always be present in the request body. If you do not have any line items to include, send it as an empty array:"quote_data": []
Omitting thequote_datafield entirely will result in an error. Note that the auto-generated code example on this page may not includequote_datawhen no line item values are provided, but the field itself must still be present in your request.
